<?php
require ('Conexion/Conexion.php');
require ('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else
	Inactividad();
?>
<script>
$(document).ready(function(){
	
	var inputFechaIni = $('#edtFechaIni');
	var reqFechaIni = $('#req-FechaIni');
	var inputFechaFin = $('#edtFechaFin');
	var reqFechaFin = $('#req-FechaFin');
	var inputFlotillaIni = $('#cbFlotillaIni');
	var reqFlotillaIni = $('#req-FlotillaIni');
	var inputFlotillaFin = $('#cbFlotillaFin');
	var reqFlotillaFin = $('#req-FlotillaFin');
	var inputSerie= $('#edtSerie');
	var reqSerie = $('#req-Serie');
	var inputFolio = $('#edtFolio');
	var reqFolio = $('#req-Folio');
	var ComboPDF = $('#cbPDF');
	var ComboExcel = $('#cbExcel');
	
	function validarFechaIni(){
		if(inputFechaIni.val() == ''){
			inputFechaIni.addClass('error2');
			reqFechaIni.addClass('error2');
			$("#req-FechaIni").html('Seleccione la Fecha Inicial del Reporte.');
			$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
		}
		else if(!inputFechaIni.val().match(/^[0-9/]+$/)){
			inputFechaIni.addClass('error2');
			reqFechaIni.addClass('error2');
			$("#req-FechaIni").html("El Formato de la fecha es inválido.");
			$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		} else{
			inputFechaIni.removeClass('error2');
			reqFechaIni.removeClass('error2');
			$("#req-FechaIni").html("");
			$("#req-FechaIniImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			if(inputFechaFin.val() == '') {
				inputFechaFin.addClass('error2');
				reqFechaFin.addClass('error2');
				$("#req-FechaFin").html("Seleccione la Fecha Final del Reporte.");
				$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false
			}
			else
				return true;
		}
	}
	function validarFechaFin(){
		if(inputFechaFin.val() == ''){
			inputFechaFin.addClass('error2');
			reqFechaFin.addClass('error2');
			$("#req-FechaFin").html('Seleccione la Fecha Final del Reporte');
			$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputFechaFin.val().match(/^[0-9/]+$/)){
			inputFechaFin.addClass('error2');
			reqFechaFin.addClass('error2');
			$("#req-FechaFin").html("El Formato de la Fecha es inválido.");
			$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		} else{
			inputFechaFin.removeClass('error2');
			reqFechaFin.removeClass('error2');
			$("#req-FechaFin").html("");
			$("#req-FechaFinImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			if(inputFechaIni.val() == ''){
				inputFechaIni.addClass('error2');
				reqFechaIni.addClass('error2');
				$("#req-FechaIni").html("Seleccione la Fecha Inicial del Reporte.");
				$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			}
			else
				return true;
		}
	}
	function validarFlotillaIni(){
		if(!inputFlotillaIni.val()){
			inputFlotillaIni.addClass('error2');
			reqFlotillaIni.addClass('error2');
			$("#req-FlotillaIni").html("Seleccione el No. de Flotilla Inicial");
			$("#req-FlotillaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputFlotillaIni.removeClass('error2');
			reqFlotillaIni.removeClass('error2');
			$("#req-FlotillaIni").html("");
			$("#req-FlotillaIniImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarFlotillaFin(){
		if(!inputFlotillaFin.val()){
			inputFlotillaFin.addClass('error2');
			reqFlotillaFin.addClass('error2');
			$("#req-FlotillaFin").html("Seleccione el No. de la Flotilla Final");
			$("#req-FlotillaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		if(inputFlotillaIni.val() > inputFlotillaFin.val()){
			inputFlotillaIni.addClass('error2');
			reqFlotillaIni.addClass('error2');
			inputFlotillaFin.addClass('error2');
			reqFlotillaFin.addClass('error2');
			$("#req-FlotillaIni").html("La Flotilla Inicial debe ser Menor que la Flotilla Final.");
			$("#req-FlotillaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			$("#req-FlotillaFin").html("La Flotilla Final debe ser Mayor que la Flotilla Inicial.");
			$("#req-FlotillaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputFlotillaFin.removeClass('error2');
			reqFlotillaFin.removeClass('error2');
			$("#req-FlotillaFin").html("");
			$("#req-FlotillaFinImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarSerie(){
		if(inputSerie.val().length < 1 || inputSerie.val().length > 15 ){
			inputSerie.addClass('error2');
			reqSerie.addClass('error2');
			$("#req-Serie").html("A-Z y 0-9, Ingrese la Serie del reporte.");
			$("#req-SerieImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputSerie.val().match(/^[a-zA-Z0-9]+$/)){
			inputSerie.addClass('error2');
			reqSerie.addClass('error2');
			$("#req-Serie").html("El Formato de Serie es Inválido.");
			$("#req-SerieImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputSerie.removeClass('error2');
			reqSerie.removeClass('error2');
			$("#req-Serie").html("");
			$("#req-SerieImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarFolio(){
		if(inputFolio.val().length < 1 || inputFolio.val().length > 15 ){
			inputFolio.addClass('error2');
			reqFolio.addClass('error2');
			$("#req-Folio").html("0-9, Ingrese El No. del Folio.");
			$("#req-FolioImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputFolio.val().match(/^[0-9]+$/)){
			inputFolio.addClass('error2');
			reqFolio.addClass('error2');
			$("#req-Folio").html("El No. del Folio debe ser númerico.");
			$("#req-FolioImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputFolio.removeClass('error2');
			reqFolio.removeClass('error2');
			$("#req-Folio").html("");
			$("#req-FolioImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	inputFechaIni.blur(validarFechaIni);
	inputFechaFin.blur(validarFechaFin);
	inputFlotillaIni.blur(validarFlotillaIni);
	inputFlotillaFin.blur(validarFlotillaFin);
	inputSerie.blur(validarSerie);
	inputFolio.blur(validarFolio);
	
	$("#FormReportes").submit(function(){
		if($('#cbTipoReporte').val() == 2){
			if(validarFechaIni() & validarFechaFin() & validarFlotillaIni() & validarFlotillaFin())
				GenerarReporte();
		}else if($('#cbTipoReporte').val() == 8){
			if(validarSerie() & validarFolio())
				GenerarReporte();//DescargarXML();
		}else if($('#cbTipoReporte').val() != 2 || $('#cbTipoReporte').val() != 8){
			if(validarFechaIni() & validarFechaFin())
				GenerarReporte();
		}else
			return false;
		return false;
	});
	
	function DescargasXLS(){
		url = "Descargas.php?Opcion=1";  
		$(location).attr('href',url);
	};
	function DescargasPDF(){
		url = "Descargas.php?Opcion=2";  
		$(location).attr('href',url);
	};
	function DescargarXML(){
		url = "Descargas.php?Opcion=4";  
		$(location).attr('href',url);
	};
	
	function GenerarReporte(){
		if($("[name = radio]:checked").val() == 1)
			var Formato = 1;
		else if($("[name = radio]:checked").val() == 2)
			var Formato = 2;
		else if($("[name = radio]:checked").val() == 3)
			var Formato = 3;
		if($('#cbTipoReporte').val() == 2)
			var data = "TipoReporte="+$('#cbTipoReporte').val()+"&FechaIni="+$('#edtFechaIni').val()+"&FechaFin="+$('#edtFechaFin').val()+"&Formato="+Formato+"&FlotillaIni="+$('#cbFlotillaIni').val()+"&FlotillaFin="+$('#cbFlotillaFin').val()+"";
		else if($('#cbTipoReporte').val() == 8)
			var data = "TipoReporte="+$('#cbTipoReporte').val()+"&Formato="+Formato+"&Serie="+$('#edtSerie').val()+"&Folio="+$('#edtFolio').val()+"";
		else
			var data = "TipoReporte="+$('#cbTipoReporte').val()+"&FechaIni="+$('#edtFechaIni').val()+"&FechaFin="+$('#edtFechaFin').val()+"&Formato="+Formato+"";
		$.ajax({
			type: 'POST',
			data: data,
			beforeSend: function(objeto, response){
				$("#loading").show();
				$("#message").html('');
				$("#submit").attr('disabled', '-1');//Inhabilito
			},
			complete: function(response){
				$("#submit").removeAttr('disabled');//Habilito
				$("#loading").hide();
			},
			url: 'ProcesarReportes.php',
			success: function(response){
				if(response == 'XLS')
					DescargasXLS();
				else if(response == 'PDF')
					DescargasPDF();
				else if(response == 'DescargarXML')
					DescargarXML();
				else
					$('#message').html(response);
			}
		});
	}
});
</script>
<?php
if($_POST['TipoReporte'] != ''){
	if(preg_match("/[0-9]/", $_POST['TipoReporte'])){
		$TipoReporte = $_POST['TipoReporte'];
		if($TipoReporte == 1)
			$Titulo = "<p id='Titulo'>Reporte de ventas por Fecha.</p>";
		elseif($TipoReporte == 2)
			$Titulo = "<p id='Titulo'>Reporte de ventas por Fecha por No. Flotilla.</p>";
		elseif($TipoReporte == 3)
			$Titulo = "<p id='Titulo'>Reporte de ventas por Estación entre Fechas.</p>";
		elseif($TipoReporte == 4)
			$Titulo = "<p id='Titulo'>Reporte de ventas por Producto entre Fechas.</p>";
		elseif($TipoReporte == 5)
			$Titulo = "<p id='Titulo'>Reporte de ventas por Departamento entre Fechas.</p>";
		elseif($TipoReporte == 6)
			$Titulo = "<p id='Titulo'>Reporte de ventas totales por Cliente.</p>";
		elseif($TipoReporte == 7)
			$Titulo = "<p id='Titulo'>Reporte de LOG.</p>";
		elseif($TipoReporte == 8)
			$Titulo = "<p id='Titulo'>Reporte de Monedero Electrónico.</p>";
		else
			echo 'error3';
		if($TipoReporte != 2 || $TipoReporte != 8 ){ ?>
    <form id="FormReportes" name="FormReportes" action= "" method="post">
        <table width="500" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td colspan="3" align="center"><? echo $Titulo; ?></td>
          </tr>
		<? if($TipoReporte != 8){ ?>   
          <tr>
            <td colspan="3" align="center">&nbsp;</td>
          </tr>
          <tr>
            <td colspan="3" align="center">&nbsp;</td>
          </tr>
          <tr>
            <td width="175" align="center">&nbsp;</td>
            <td colspan="2" align="left"><b>Fecha Inicial</b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><input class="txt" type="text" name="edtFechaIni" id="edtFechaIni" size="10" readonly="readonly" title="Seleccione la Fecha Inicial del Reporte."/><span id="req-FechaIniImg" class="requisites error"></span></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><b><span id="req-FechaIni" class="requisites error"></span></b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><b>Fecha Final</b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><input class="txt" type="text" name="edtFechaFin" id="edtFechaFin" size="10" readonly="readonly" title="Seleccione la Fecha Final del Reporte."/>
                <script type="text/javascript">//<![CDATA[
                    var cal = Calendar.setup({
                        onSelect: function(cal) { cal.hide() },
                        min : 20100101,
                        animation : false,
                        showTime: true
                        });
                        cal.manageFields("edtFechaIni", "edtFechaIni", "%Y/%m/%d");
                        cal.manageFields("edtFechaFin", "edtFechaFin", "%Y/%m/%d");
                        //]]>
                </script><span id="req-FechaFinImg" class="requisites error"></span>
            </td>
          </tr>
          <? } ?>  
          <tr>
            <td width="175" align="center">&nbsp;</td>
            <td colspan="2" align="left"><b><span id="req-FechaFin" class="requisites error"></span></b></td>
          </tr>        
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left">&nbsp;</td>
          </tr>
			<?	if($TipoReporte == 2){	?>
          <tr>
            <td colspan="3" align="center"><b>Flotilla Inicial</b></td>
          </tr>
          <tr>
            <td colspan="3" align="center">
              <select name="cbFlotillaIni" id="cbFlotillaIni">
            <? $ClienteID = $_SESSION['ClienteID']; 
			$QueryFlotillas = mssql_query("SELECT * FROM Vehiculo WHERE ClienteID = '$ClienteID' order by VehiculoID");
			while($EvaluarFlotillas = mssql_fetch_assoc($QueryFlotillas))
				echo "<option value='".$EvaluarFlotillas['VehiculoID']."'>".$EvaluarFlotillas['VehiculoID'].' - '.utf8_encode(CortarPalabras($EvaluarFlotillas['Nombre'], 20))."</option>";
			?>
            </select><span id="req-FlotillaIniImg" class="requisites error"></span></td>
          </tr>
          <tr>
            <td colspan="3" align="center"><b><span id="req-FlotillaIni" class="requisites error"></span></b></td>
          </tr>
          <tr>
            <td colspan="3" align="center"><b>Flotilla Final</b></td>
          </tr>
          <tr>
            <td colspan="3" align="center">
              <select name="cbFlotillaFin" id="cbFlotillaFin">
            <?	$QueryFlotillas = mssql_query("SELECT * FROM Vehiculo WHERE ClienteID = '$ClienteID' order by VehiculoID");
			while($EvaluarFlotillas = mssql_fetch_assoc($QueryFlotillas))
				echo "<option value='".$EvaluarFlotillas['VehiculoID']."'>".$EvaluarFlotillas['VehiculoID'].' - '.utf8_encode(CortarPalabras($EvaluarFlotillas['Nombre'], 20))."</option>";
			?>
              </select><span id="req-FlotillaFinImg" class="requisites error">
            </span></td>
          </tr>
          <tr>
            <td colspan="3" align="center"><b><span id="req-FlotillaFin" class="requisites error"></span></b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left">&nbsp;</td>
          </tr>
          <? }elseif($TipoReporte == 8) {?>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><b>Serie</b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><input class="txt" type="text" name="edtSerie" id="edtSerie" /><span id="req-SerieImg" class="requisites error"></span></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><b><span id="req-Serie" class="requisites error"></span></b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><b>Folio</b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><input class="txt" type="text" name="edtFolio" id="edtFolio" /><span id="req-FolioImg" class="requisites error"></span></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left"><b><span id="req-Folio" class="requisites error"></span></b></td>
          </tr>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="2" align="left">&nbsp;</td>
          </tr>
          <? } ?>
          <tr>
            <td colspan="3" align="center"><b>Formato:</b></td>
          </tr>
          <tr>
            <td colspan="2" align="center">&nbsp;</td>
            <td width="279" align="left">&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" align="center">&nbsp;</td>
            <td align="left"><input name="radio" type="radio" id="cbPDF" value="1" checked="checked" title="Generar reporte en formato PDF."/>
            <b>PDF</b></td>
          </tr>
          <? if($TipoReporte != 8) {?>
          <tr>
            <td colspan="2" align="center">&nbsp;</td>
            <td align="left"><input type="radio" name="radio" id="cbExcel" value="2" title="Generar reporte en formato XLS."/>
            <b>Excel</b></td>
          </tr>
          <? } ?>
          <? if($TipoReporte == 8) {?>
          <tr>
            <td colspan="2" align="center">&nbsp;</td>
            <td align="left"><input type="radio" name="radio" id="cbXML" value="3" title="Generar reporte en formato XML."/>
              <b>XML</b></td>
          </tr>
          <? } ?>
          <tr>
            <td colspan="2" align="center">&nbsp;</td>
            <td align="center">&nbsp;</td>
          </tr>
          <tr>
            <td colspan="3" align="center"><input class="submit" type="submit" name="submit" id="submit" value="Ir a Reporte" title="Consultar Reporte."/></td>
          </tr>
          <tr>
            <td colspan="3" align="center"><b><div id="message"></div></b></td>
          </tr>
          <tr>
            <td colspan="3" align="center"><b><div id="loading"><img src="images/loader.gif"/><br>Espere, procesando Reporte...</br></div></b></td>
          </tr>
          <tr>
            <td colspan="2" align="center">&nbsp;</td>
            <td align="center">&nbsp;</td>
          </tr>
        </table>
</form>
<?
		}
	}else
		echo 'error2';
}else
	echo 'error1';
?>
